/*
Created by: X
http://www.createdbyx.com/

The StreamContentProcessor library is licenced under the 
Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;
using System.IO;
using System.Text;
using System.Collections;
using StreamContentProcessor.Properties;

namespace StreamContentProcessor
{
    public class StreamReader : ContentTypeReader<System.IO.Stream>
    {
        protected override System.IO.Stream Read(ContentReader input, System.IO.Stream existingInstance)
        {

            // calc the number of characters that will be read
            int count = (int)(input.BaseStream.Length - input.BaseStream.Position);

             // read "count" number of characters from the input object 
            MemoryStream mem = new MemoryStream(input.ReadBytes(count));
            /*
            // create a new XmlDocument object
            xFripperyXNA.ControlCollection Items = new xFripperyXNA.ControlCollection();

            // try loading the data
            try
            {
                System.Collections.Generic.List<xFripperyXNA.Control> ctrls = xFripperyXNA.GUIReader.Load<xFripperyXNA.Control>(mem);
                for (int idx = 0; idx < ctrls.Count; idx++)
                {
                    Items.Add(ctrls[idx]);
                }
            }
            catch (Exception ex)
            {
                // throw a InvalidContentException exception reporting the error
                Items.Clear();
                Items = null;
                throw ex;// new InvalidContentException(Resources.BadFileData, ex);
            }
            finally
            {
                mem.Dispose();
                mem = null;
            }  */

              
            // return the reference the Doc varible
            return mem;
        }
    }
}
